Texture2D tex : register(t0);
SamplerState sam : register(s0);
struct VS_OUTPUT
{
	float4 pos : SV_POSITION;
	float2 uv : TEXCOORD;
};
VS_OUTPUT VS( float4 pos : POSITION, float2 uv : TEXCOORD )
{
	VS_OUTPUT o = (VS_OUTPUT)0;
	o.pos = pos;
	o.uv = uv;
	return o;
}
float4 PS( VS_OUTPUT i ) : SV_TARGET
{
	float4 c = tex.Sample(sam, i.uv);
	return c;
};
